<template>
  <div class="cursor-pointer black-provider-logos">
    <img class="main-logo" :src="gameForDisplay.MainLogoPath" />
  </div>
</template>
<script lang="ts">
import { computed, defineComponent, PropType } from "vue";
import GameForDisplay from "@/models/theme/game_hover_drop_down/GameForDisplay";
import { IGame } from "@/models/IGetPlayableGamesResponse";

export default defineComponent({
  name: "ProviderLogo",
  props: {
    product: {
      type: Object as PropType<IGame>,
      required: true,
    },
  },
  setup(props) {
    const gameForDisplay = computed(() => new GameForDisplay(props.product));
    const { getAssetImage } = commonHelper;
    const background = `url(${getAssetImage(
      "assets/theme/common/provider_icon/bg_label/bg_light.png"
    )})`;
    const logoWidth =
      gameForDisplay.value.CategoryName === "GAMES" ? "157px" : "185px";
    return {
      gameForDisplay,
      getAssetImage,
      background,
      logoWidth,
    };
  },
});
</script>
<style lang="scss" scoped>
.black-provider-logos {
  width: v-bind(logoWidth);
  height: 110px;
  margin-bottom: 5px;

  > .main-logo {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
  }
}
</style>
